SND_PCM_HW_CONSTRAIN(9)

NAME
snd_pcm_hw_constraint_integer - apply an integer constraint to an interval

SYNOPSIS

int snd_pcm_hw_constraint_integer(struct snd_pcm_runtime * runtime, snd_pcm_hw_param_t var);

ARGUMENTS

runtime
    PCM runtime instance

var
    hw_params variable to apply the integer constraint

DESCRIPTION

Apply the constraint of integer to an interval parameter.

RETURN

Positive if the value is changed, zero if it's not changed, or a negative error code.

COPYRIGHT